@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.about-short {
  margin-top: 130px;

  &__container {
    @include container;

    @include media-breakpoint-up(lg) {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: repeat(3, auto);
      grid-template-areas:
      "title desc"
      "subtitle desc"
      "link desc";
    }
  }

  &__title {
    margin-top: 0;
    margin-bottom: 15px;
    grid-area: title;
    font-family: var(--font-title);
    font-size: 35px;
    font-weight: 700;
    line-height: 40px;
    text-transform: uppercase;

    @include media-breakpoint-up(lg) {
      font-size: 40px;
      line-height: 45px;
    }
  }

  &__title span {
    font-size: 42px;
    color: var(--yellow-color);
  }

  &__text {
    margin-top: 0;
    margin-bottom: 25px;
    grid-area: subtitle;
    font-family: var(--font-text);
    font-size: 14px;
    line-height: 18px;
    color: rgba($black-color, 0.3);
  }

  &__link {
    grid-area: link;
  }

  &__details {
    max-width: 600px;
    grid-area: desc;
    font-family: var(--font-text);
    font-size: 16px;
    line-height: 22px;
    text-align: right;
    color: $gray-dark-color;
    font-style: italic;
  }
}
